import numpy as np
import matplotlib.pyplot as plt

#fourierrekken skal ha K ledd
K=10

#vi plotter med finhet paa N punkt
N=1000

#t-aksen
x=np.linspace(-2*np.pi,2*np.pi,num=N)

#heavisidefunksjonen
f=np.heaviside(x,0) #andre argumentet er verdien til funksjonen i x=0

#trunkert fourierrekke
z=np.ones(N)/2.0
for i in range(K):
    z=z+2.0/(np.pi*(2*i+1))*np.sin((2*i+1)*x)

#plotte heaviside og trunkert fourierrekke
plt.plot(x,f)
plt.plot(x,z)

#plotte x-aksen
plt.plot(x,np.zeros(N))

#korrekt utsnitt
plt.axis([-2*np.pi,2*np.pi,-1,2])

#navn på aksene
plt.xlabel(r'$x$')
plt.ylabel(r'$y$')

#vise plot
plt.show()
